# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8)
   message(FATAL_ERROR "CMake >= 3.0.0 required")
endif()
if(CMAKE_VERSION VERSION_LESS "3.0.0")
   message(FATAL_ERROR "CMake >= 3.0.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 3.0.0...3.29)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_cmake_targets_defined "")
set(_cmake_targets_not_defined "")
set(_cmake_expected_targets "")
foreach(_cmake_expected_target IN ITEMS HOOMD::hipper HOOMD::neighbor HOOMD::_hoomd HOOMD::quickhull HOOMD::_md HOOMD::_hpmc HOOMD::_mpcd)
  list(APPEND _cmake_expected_targets "${_cmake_expected_target}")
  if(TARGET "${_cmake_expected_target}")
    list(APPEND _cmake_targets_defined "${_cmake_expected_target}")
  else()
    list(APPEND _cmake_targets_not_defined "${_cmake_expected_target}")
  endif()
endforeach()
unset(_cmake_expected_target)
if(_cmake_targets_defined STREQUAL _cmake_expected_targets)
  unset(_cmake_targets_defined)
  unset(_cmake_targets_not_defined)
  unset(_cmake_expected_targets)
  unset(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT _cmake_targets_defined STREQUAL "")
  string(REPLACE ";" ", " _cmake_targets_defined_text "${_cmake_targets_defined}")
  string(REPLACE ";" ", " _cmake_targets_not_defined_text "${_cmake_targets_not_defined}")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_cmake_targets_defined_text}\nTargets not yet defined: ${_cmake_targets_not_defined_text}\n")
endif()
unset(_cmake_targets_defined)
unset(_cmake_targets_not_defined)
unset(_cmake_expected_targets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target HOOMD::hipper
add_library(HOOMD::hipper INTERFACE IMPORTED)

set_target_properties(HOOMD::hipper PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/lib/python3.11/site-packages/hoomd/include/hoomd/extern/hipper/include"
)

# Create imported target HOOMD::neighbor
add_library(HOOMD::neighbor INTERFACE IMPORTED)

set_target_properties(HOOMD::neighbor PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/lib/python3.11/site-packages/hoomd/include/hoomd/extern/neighbor/include"
  INTERFACE_LINK_LIBRARIES "HOOMD::hipper"
)

# Create imported target HOOMD::_hoomd
add_library(HOOMD::_hoomd SHARED IMPORTED)

set_target_properties(HOOMD::_hoomd PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "_REENTRANT;EIGEN_MPL2_ONLY;HOOMD_SHORTREAL_SIZE=32;HOOMD_LONGREAL_SIZE=64;ENABLE_MPI;BUILD_MPCD"
  INTERFACE_COMPILE_OPTIONS "\$<\$<AND:\$<COMPILE_LANGUAGE:CUDA>,\$<STREQUAL:,nvcc>>:-Xcompiler=>;-fsized-deallocation"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/lib/python3.11/site-packages/hoomd/include;${_IMPORT_PREFIX}/lib/python3.11/site-packages/hoomd/include/hoomd/extern/OpenRAND/include"
  INTERFACE_LINK_LIBRARIES "pybind11::pybind11;HOOMD::quickhull;Eigen3::Eigen;execinfo;MPI::MPI_CXX;cereal::cereal"
)

# Create imported target HOOMD::quickhull
add_library(HOOMD::quickhull SHARED IMPORTED)

# Create imported target HOOMD::_md
add_library(HOOMD::_md SHARED IMPORTED)

set_target_properties(HOOMD::_md PROPERTIES
  INTERFACE_LINK_LIBRARIES "HOOMD::_hoomd"
)

# Create imported target HOOMD::_hpmc
add_library(HOOMD::_hpmc SHARED IMPORTED)

set_target_properties(HOOMD::_hpmc PROPERTIES
  INTERFACE_LINK_LIBRARIES "HOOMD::_hoomd"
)

# Create imported target HOOMD::_mpcd
add_library(HOOMD::_mpcd SHARED IMPORTED)

set_target_properties(HOOMD::_mpcd PROPERTIES
  INTERFACE_LINK_LIBRARIES "HOOMD::_hoomd;HOOMD::_md"
)

# Load information for each installed configuration.
file(GLOB _cmake_config_files "${CMAKE_CURRENT_LIST_DIR}/hoomd-targets-*.cmake")
foreach(_cmake_config_file IN LISTS _cmake_config_files)
  include("${_cmake_config_file}")
endforeach()
unset(_cmake_config_file)
unset(_cmake_config_files)

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(_cmake_target IN LISTS _cmake_import_check_targets)
  if(CMAKE_VERSION VERSION_LESS "3.28"
      OR NOT DEFINED _cmake_import_check_xcframework_for_${_cmake_target}
      OR NOT IS_DIRECTORY "${_cmake_import_check_xcframework_for_${_cmake_target}}")
    foreach(_cmake_file IN LISTS "_cmake_import_check_files_for_${_cmake_target}")
      if(NOT EXISTS "${_cmake_file}")
        message(FATAL_ERROR "The imported target \"${_cmake_target}\" references the file
   \"${_cmake_file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
      endif()
    endforeach()
  endif()
  unset(_cmake_file)
  unset("_cmake_import_check_files_for_${_cmake_target}")
endforeach()
unset(_cmake_target)
unset(_cmake_import_check_targets)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
